<?php

       require_once '../app/model/db.class.php';
       require_once("../dompdf/dompdf_config.inc.php");
       require_once "../dompdf/www/functions.inc.php";

        $obj = new database();
        $obj->conectar(); $obj->consulta("set names 'utf8'");

        $grado=$_REQUEST['grado'];
        $grupo=$_REQUEST['grupo'];

function decimales($nota){

  if ($nota!='.') {
         
     if (strlen($nota)==1) {
         $nota=$nota.".0";
     }

     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

  }

    return $nota;

}
        $desgrado1=$obj->consulta("select * from grados where codigo='".$grado."';");
        $desgrado = $obj->fetch_assoc($desgrado1);

        $descurso1=$obj->consulta("select * from cursos where codigo='".$grupo."' and grado='".$grado."';");
        $descurso = $obj->fetch_assoc($descurso1);

        $desjor1=$obj->consulta("select * from jornadas where codigo='".$descurso['jornada']."';");
        $desjor = $obj->fetch_assoc($desjor1);

         $s="<center><h2>DETALLE DE ASIGNATURAS REPROBADAS</h2><br>";

         $s.="<table align='center' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";
         $s.="<tr ALIGN=CENTER>";
         $s.="<td><b>GRADO: </b></td>   <td>".$desgrado['descripcion']."</td>";
         $s.="<td><b>GRUPO: </b></td>   <td>".$descurso['descripcion']."</td>";
         $s.="<td><b>JORNADA: </b></td> <td>".$desjor['descripcion']."</td>";
         $s.="</tr>";
         $s.="</table>";

         //---------------------------------

        $tipo_1 = $obj->consulta("select matriculas.codigo, matriculas.promovido, alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre, matriculas.tipo_aprobacion,
                                 matriculas.asign_perdidas from alumnos inner join matriculas on alumnos.codigo = matriculas.codigo
                                 where matriculas.grado='".$grado."' and matriculas.curso='".$grupo."' and matriculas.estado='A' order by alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre");

        while($row1 = $obj->fetch_assoc($tipo_1)){

            $tipo_2 = $obj->consulta("select catalogo.descripcion, notas_finales_asign.definitiva, notas_finales_asign.habilitacion
                                      from catalogo inner join notas_finales_asign on catalogo.codigo = notas_finales_asign.asignatura
                                      where notas_finales_asign.codigo='".$row1['codigo']."' and notas_finales_asign.definitiva<3 order by catalogo.descripcion");

            $n=$obj->numero_de_filas($tipo_2);

            if ($n>0){ //*******************

            $s.="<br><table border='0' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";
            $s.="<tr>";
            $s.="<td>".$row1['codigo']."</td>";
            $s.="<td width='35%'>".$row1['p_apellido']." ".$row1['s_apellido']." ".$row1['p_nombre']." ".$row1['s_nombre']."</td>";
            $s.="<td>ASIGN. REPROBADAS :[".$n."]</td>";
            $s.="<td>PROMOVIDO :[".$row1['promovido']."]</td>";
            $s.="</tr>";
            $s.="</table>";

            $s.="<table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";
            $s.="<tr align='center'>";
            $s.="<td width='40%'><b>ASIGNATURA</b></td>";
            $s.="<td><b>DEFINITIVA</b></td>";
            $s.="<td><b>SUPERACI&Oacute;N</b></td>";
            
            $s.="</tr>";

            while($row2 = $obj->fetch_assoc($tipo_2)){

                  if (!(isset($row2['habilitacion']))){
                      $habil='.';
                  }else{
                      $habil=$row2['habilitacion'];
                  }


                  $s.="<tr>";
                  $s.="<td>".$row2['descripcion']."</td>";
                  $s.="<td align='center'>".$row2['definitiva']."</td>";
                  $s.="<td align='center'>".decimales($habil)."</td>";
                  $s.="</tr>";
                
            }
            $s.="</table>";
            $s.="</center>";

          } //*******************
         }

         //---------------------------------------

//         echo $s;

     $html="<html>
    <head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'>
    <title>Evaluaci&oacute;n</title>

    <style>

       .normal {

          border: 1px solid #000;
          border-collapse: collapse;
        }
        .normal th, .normal td {
          border: 1px solid #000;
        }

       #font{
            font-size:10px;
        }

        #font2{
            font-size:9px;
        }
    </style>
    </head>
    <body>

    ".$s."
    </body>
    </html>";

  $obj->disconnect();

  $dompdf = new DOMPDF();
  $dompdf->load_html($html);
  $dompdf->set_paper("letter", $orientation = "landscape");
  $dompdf->render();

  $dompdf->stream("Estado_Final_".$descurso['descripcion'].".pdf", array("Attachment" => false));





//          echo "<script languaje='javascript'>alert('-PROCESO TERMINADO- ');location.href='../menu.php'</script>";

//         TIPOS DE APROBACION
// 1 ==>  Aprobo. No perdio Asignaturas
// 2 ==>  Habilita 1 Asignatura
// 3 ==>  Habilita 2 Asignaturas
// 4 ==>  Reprobo - perdio 3 o mas Asignaturas

?>